# bayes 命令行工具

[![Actions](https://github.com/signcl/openbayes-cli/workflows/Go/badge.svg)](https://github.com/signcl/openbayes-cli/actions)

OpenBayes 的 CLI 命令行工具，可以方便的让您在无需访问网页控制台的情况下访问您的 BayesGear 容器、数据集等资源，并执行新建、删除、执行、上传数据等常见操作。


## 下载安装

#### 在 [github.com/signcl/bayes-releases](https://github.com/signcl/openbayes-cli-releases/releases) 依据操作系统选择最新的版本下载安装使用。

- darwin_386 - 适用于 32 位 macOS 系统
- darwin_amd64 - 适用于 64 位 macOS 系统
- linux_386 - 适用于 32 位 Linux 系统
- linux_amd64 - 适用于 64 位 Linux 系统
- windows_386 - 适用于 32 位 Windows 系统
- windows_amd64 - 适用于 64 位 Windows 系统

## 开发说明 

1. `go run i18n/pkg/main.go ` 来生成 `i18n.generated.go` 
2. `go build`

## 使用说明

#### 在 [OpenBayes 文档中心 - CLI 命令行](https://openbayes.com/docs/cli/) 可查看各指令的详细使用说明。


## 命令一览

| 命令            | 描述              |
| ------------------ | ------------------------ |
| `bayes data` | 数据集相关 |
| `bayes data create` | 创建一个新的数据集 |
| `bayes data ls` | 显示用户的数据集 |
| `bayes data merge` | 合并本地数据到数据集 |
| `bayes data open` | 在浏览器打开数据集页面 |
| `bayes data reset` | 清理上传缓存 |
| `bayes data upload` | 上传本地数据到数据集 |
| `bayes data versions` | 显示用户的数据集的版本列表 |
| `bayes gear` | 容器相关 |
| `bayes gear bindings` | 查看运行容器可绑定的数据 |
| `bayes gear download` | 下载容器输出 |
| `bayes gear env` | 查看运行容器可选的环境 |
| `bayes gear init` | 初始化容器 |
| `bayes gear logs` | 查看容器日志 |
| `bayes gear ls` | 查看所有容器 |
| `bayes gear open` | 在浏览器打开容器页面 |
| `bayes gear resource` | 查看运行容器可选的资源 |
| `bayes gear restart` | 继续执行容器 |
| `bayes gear run` | 运行容器 |
| `bayes gear status` | 查看容器下的所有任务 |
| `bayes gear stop` | 停止容器 |
| `bayes login` | 登录 |
| `bayes logout` | 注销 |
| `bayes org` | 组织相关 |
| `bayes org ls` | 查看所属组织 |
| `bayes org status` | 组织信息 |
| `bayes org switch` | 组织切换 |
| `bayes ssh` | ssh 相关 |
| `bayes ssh create` | 创建新的 ssh key |
| `bayes ssh upload` | 上传 ssh 公钥 |
| `bayes status` | 登录信息 |
| `bayes switch` | 切换服务端环境 |
| `bayes upgrade` | 升级命令行工具 |
| `bayes version` | 版本信息 |

